<?php



require_once 'config.php';
require_once GREEN_ZONE_DIR . 'Tests/BaseTest.php';
require_once 'Classes/General/File.php';



class TestFile extends BaseTest
{
  public function TestIt()
  {
    $tmp_name = tempnam( '', 'FileTest');
    $tmp_dir = substr( $tmp_name, 0, strrpos( $tmp_name, '/' ) );
    $tmp_file = substr( $tmp_name, strrpos( $tmp_name, '/' ) + 1 );

    $f1 = new File();

    $f1->SetPath( $tmp_dir );
    $this->PerformTest( 'Testing path Getter/Setters',
		 ($f1->GetPath() == $tmp_dir),
		 'Path retreived does not match path entered' );

    $f1->SetFilename( $tmp_file );
    $this->PerformTest( 'Testing filename Getter/Setter',
		 ($f1->GetFilename() == $tmp_file ),
		 'Filename retreived does not match filenamed entered' );

    $this->PerformTest( 'Testing GetFullPath function',
		 ($f1->GetFullPath() == $tmp_name),
		 'Full path returned does not match the path and filename set' );
  
    $f1->SetFullPath( $tmp_name );
    $this->PerformTest( 'Testing SetFullPath breaks up correctly',
		 ($f1->GetPath() == $tmp_dir),
		 'The path was not extracted from the full path correctly' );

    $this->PerformTest( 'Testing SetFullPath separates filename correctly',
		 ($f1->GetFilename() == $tmp_file),
		 'The filename was not extracted from the full path correctly' );
  
    $this->PerformTest( 'Testing tempnam created the file',
		 ($f1->Exists()),
		 'The file specified doesnt exist' . $f1->GetFullPath() );

    $this->PerformTest( 'Testing directory test',
		 (!$f1->IsDir()),
		 'The file specified is a directory ???' );

    $this->PerformTest( 'Testing link test',
		 (!$f1->IsLink()),
		 'The file specified is a link ???' );

    $f1->Remove();

    $this->PerformTest( 'Testing file deletion',
		 ( !$f1->Exists() ),
		 'The file still exists' . $f1->GetFullPath() );

    $f1->Create();

    $this->PerformTest( 'Testing file creation',
		 ( $f1->Exists() ),
		 'The file wasnt created' . $f1->GetFullPath() );
  }
};


?>